org.apache.solr.client.solrj.util

## Enum SolrIdentifierValidator.IdentifierType

- java.lang.Object
- - java.lang.Enum<SolrIdentifierValidator.IdentifierType>
  - - org.apache.solr.client.solrj.util.SolrIdentifierValidator.IdentifierType

All Implemented Interfaces:
  Serializable, Comparable<SolrIdentifierValidator.IdentifierType>

Enclosing class:
  SolrIdentifierValidator

    public static enum SolrIdentifierValidator.IdentifierType
    extends Enum<SolrIdentifierValidator.IdentifierType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALIAS`
`COLLECTION`
`CORE`
`SHARD`

### Method Summary

All Methods Static Methods Concrete Methods
`static SolrIdentifierValidator.IdentifierType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolrIdentifierValidator.IdentifierType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SHARD

    public static final SolrIdentifierValidator.IdentifierType SHARD

#### COLLECTION

    public static final SolrIdentifierValidator.IdentifierType COLLECTION

#### CORE

    public static final SolrIdentifierValidator.IdentifierType CORE

#### ALIAS

    public static final SolrIdentifierValidator.IdentifierType ALIAS

### Method Detail

#### values

    public static SolrIdentifierValidator.IdentifierType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SolrIdentifierValidator.IdentifierType c : SolrIdentifierValidator.IdentifierType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SolrIdentifierValidator.IdentifierType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null